package boot.common.respond;

public class EException extends RuntimeException {
    private static final long serialVersionUID = -2470461654663264392L;
    private Integer errorCode;
    private String message;

    public EException() {
    }

    public EException(String message) {
        super(message);
        this.message = message;
    }

    public EException(Integer errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
        this.message = message;
    }

    public EException(ApiCode apiCode) {
        super(apiCode.getMessage());
        this.errorCode = apiCode.getCode();
        this.message = apiCode.getMessage();
    }
}
