import request from "@/utils/request"

//登录的接口
export const login = (data) => {
  return request.post("user/login", data);
};
//获取用户信息的接口
export const getUserInfo = (info) => {
  return request.get("user/getUserInfo");
};

//注册校验的接口 
export const registerValidateApi = (username) => {
  return request({
    method: "post",
    url: "user/checkUserName",
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=utf-8",
    },
    data: `username=${username}`
  })
};

// 注册的接口
export const registerApi = (userInfo) => {
  return request.post("user/register", userInfo)
}


